﻿Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Add some groups to the ListView.
        Dim general_group As New ListViewGroup("General")
        Dim vb_group As New ListViewGroup("Visual Basic Books")
        lvwBooks.Groups.Add(general_group)
        lvwBooks.Groups.Add(vb_group)

        ' General.
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Beginning Database Design Solutions", _
                "http:'www.vb-helper.com/db_design.htm", _
                "978-0-470-38549-4", _
                "552", "2008"}, _
            general_group))

        ' Visual Basic.
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Ready-to-Run Visual Basic Algorithms", _
                "http:'www.vb-helper.com/vba.htm", _
                "0-471-24268-3", _
                "395", "1998"}, _
            vb_group))
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Visual Basic Graphics Programming", _
                "http:'www.vb-helper.com/vbgp.htm", _
                "0-472-35599-2", _
                "712", "2000"}, _
            vb_group))
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Advanced Visual Basic Techniques", _
                "http:'www.vb-helper.com/avbt.htm", _
                "0-471-18881-6", _
                "440", "1997"}, _
            vb_group))
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Custom Controls Library", _
                "http:'www.vb-helper.com/ccl.htm", _
                "0-471-24267-5", _
                "684", "1998"}, _
            vb_group))
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Ready-to-Run Delphi Algorithms", _
                "http:'www.vb-helper.com/da.htm", _
                "0-471-25400-2", _
                "398", "1998"}, _
            vb_group))
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Bug Proofing Visual Basic", _
                "http:'www.vb-helper.com/err.htm", _
                "0-471-32351-9", _
                "397", "1999"}, _
            vb_group))
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"Ready-to-Run Visual Basic Code Library", _
                "http:'www.vb-helper.com/vbcl.htm", _
                "0-471-33345-X", _
                "424", "1999"}, _
            vb_group))

        ' Misc.
        lvwBooks.Items.Add(New ListViewItem(New String() _
            {"C# Graphics Programming", _
                "http:'www.wrox.com/WileyCDA/WroxTitle/productCd-0470343494.html", _
                "978-0-470-34349-4", _
                "69", "2008"}))
    End Sub

    Private Sub mnuViewDetail_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuViewDetail.Click
        lvwBooks.View = View.Details
        CheckMenuItem(mnuView, mnuViewDetail)
    End Sub

    Private Sub mnuViewLargeIcon_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuViewLargeIcon.Click
        lvwBooks.View = View.LargeIcon
        CheckMenuItem(mnuView, mnuViewLargeIcon)
    End Sub

    Private Sub mnuViewList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuViewList.Click
        lvwBooks.View = View.List
        CheckMenuItem(mnuView, mnuViewList)
    End Sub

    Private Sub mnuViewSmallIcon_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuViewSmallIcon.Click
        lvwBooks.View = View.SmallIcon
        CheckMenuItem(mnuView, mnuViewSmallIcon)
    End Sub

    Private Sub mnuViewTile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuViewTile.Click
        lvwBooks.View = View.Tile
        CheckMenuItem(mnuView, mnuViewTile)
    End Sub

    ' Uncheck all menu items in this menu except checked_item.
    Private Sub CheckMenuItem(ByVal mnu As ToolStripMenuItem, ByVal checked_item As ToolStripMenuItem)
        ' Uncheck all of the menu items.
        For Each item As ToolStripItem In mnu.DropDownItems
            If (TypeOf item Is ToolStripMenuItem) Then
                Dim menu_item As ToolStripMenuItem = DirectCast(item, ToolStripMenuItem)
                menu_item.Checked = False
            End If

            ' Check the one that should be checked.
            checked_item.Checked = True
        Next item
    End Sub
End Class
